QR ကုဒ်များ
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
| search | ရွေးချယ်နိုင်သည် စကားလုံး | ရှာဖွေရန် စာသား။ |
| search_by | ရွေးချယ်နိုင်သည် စကားလုံး | သင်ရှာဖွေနေသောနယ်ပယ်ကဘာလဲ။ ခွင့်ပြုထားသောတန်ဖိုးများမှာ: name။ |
| project_id | ရွေးချယ်နိုင်သည် အင်တာဂျာ | |
| type | ရွေးချယ်နိုင်သည် စကားလုံး | သင်ရှာဖွေနေသောနယ်ပယ်ကဘာလဲ။ ခွင့်ပြုထားသောတန်ဖိုးများမှာ: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, vietqr, upi, epc, pix။ |
| datetime_field | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: datetime, last_datetime |
| datetime_start | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်မှစ၍ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| datetime_end | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်အထိ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| order_by | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များကို ဘယ်နယ်ပယ်အရ အစီအစဉ်ချမလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: qr_code_id, datetime, last_datetime, name, type။ |
| order_type | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များ၏ အစီအစဉ်။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ ASC သည် အမြင့်ဆုံးမှ အနိမ့်ဆုံး အစီအစဉ်အတွက် ဖြစ်ပြီး DESC သည် အနိမ့်ဆုံးမှ အမြင့်ဆုံး အစီအစဉ်အတွက် ဖြစ်သည်။ |
| page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်လိုအပ်သောရလဒ်များကိုရယူလိုသောစာမျက်နှာနံပါတ်။ အခြေခံအားဖြင့် 1 ဖြစ်သည်။ |
| results_per_page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်သည် စာမျက်နှာတစ်ခုလျှင် ရလဒ်များ များစွာကို မည်မျှလိုချင်ပါသလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: 10, 25, 50, 100, 250, 500, 1000။ အခြေခံအားဖြင့် 25 ဖြစ်သည်။ |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:47"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:47"
}
}
POST https://tistos.com/api/qr-codes
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:47"
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:47"
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \